Show / Hide Table of Contents

# AsyncMouseExitTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncMouseExitTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncMouseExitTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnMouseExitAsyncHandler() |
GetOnMouseExitAsyncHandler(CancellationToken) |
OnMouseExitAsync() |
OnMouseExitAsync(CancellationToken) |

### Methods

#### GetOnMouseExitAsyncHandler()

    public IAsyncOnMouseExitHandler GetOnMouseExitAsyncHandler()

##### Returns

IAsyncOnMouseExitHandler

#### GetOnMouseExitAsyncHandler(CancellationToken)

    public IAsyncOnMouseExitHandler GetOnMouseExitAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnMouseExitHandler

#### OnMouseExitAsync()

    public UniTask OnMouseExitAsync()

##### Returns

UniTask

#### OnMouseExitAsync(CancellationToken)

    public UniTask OnMouseExitAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>